{"openapi":"3.0.0","info":{"title":"2FA Service","description":"Calls auth service to manage user 2FA details.","version":"0.0.1"},"paths":{"/api/v1/AuthService/2FA/{accountTypeId}/{accountNumber}/":{"get":{"summary":"Gets the 2FA details available to the user","operationId":"Get","parameters":[{"name":"accountNumber","in":"path","description":"Unique identity of the user","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"accountTypeId","in":"path","description":"Account type of the user","required":true,"style":"simple","explode":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TwoFactorDetail"}}}}},"400":{"description":"BadRequest"},"500":{"description":"Internal Server Error"}}},"patch":{"summary":"Updates the 2FA details(enrolement and enforcement) for an user","operationId":"Post","parameters":[{"name":"accountNumber","in":"path","description":"Unique identity of the user","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"accountTypeId","in":"path","description":"Account type of the user","required":true,"style":"simple","explode":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AuthRequest"}}}},"responses":{"200":{"description":"OK"},"400":{"description":"BadRequest"},"500":{"description":"Internal Server Error"}}}}},"components":{"schemas":{"TwoFactorDetail":{"type":"object","properties":{"accountNumber":{"type":"string"},"Is2FAActive":{"type":"boolean"},"Is2FAEnforced":{"type":"boolean"}}},"AuthRequest":{"type":"object","properties":{"flag":{"type":"string"},"value":{"type":"string"}}}}},"servers":[{"description":"SwaggerHub API Auto Mocking","url":"https://virtserver.swaggerhub.com/ashishvv/2FAService/0.0.1"}]}